import React from 'react';
var AccordionHeader = function (props) {
    var isOpen = props.isOpen, handleIconClick = props.handleIconClick, children = props.children, itemIndex = props.itemIndex;
    var onIconClick = function () {
        handleIconClick && (itemIndex !== undefined) && handleIconClick(itemIndex);
    };
    return (React.createElement("div", { className: 'gj-accordion-item-header-body', onClick: onIconClick },
        React.createElement("div", { className: 'gj-accordion-item-header-content' }, children),
        React.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", fill: "none", viewBox: "0 0 24 24", strokeWidth: 1.5, stroke: "currentColor", className: "w-6 h-6 gj-accordion-item-header-icon ".concat(!isOpen ? '' : 'invert') },
            React.createElement("path", { strokeLinecap: "round", strokeLinejoin: "round", d: "M19.5 8.25l-7.5 7.5-7.5-7.5" }))));
};
export default AccordionHeader;
//# sourceMappingURL=AccordionHeader.js.map