import React, { useRef, useState, Children, cloneElement, isValidElement, useEffect } from 'react';
import AccordionHeader from './AccordionHeader';
import AccordionBody from './AccordionBody';
var AccordionItem = function (_a) {
    var children = _a.children, isOpen = _a.isOpen, setIsOpen = _a.setIsOpen, itemIndex = _a.itemIndex;
    var _b = useState(0), maxHeight = _b[0], setMaxHeight = _b[1];
    var accordionBodyRef = useRef(null);
    useEffect(function () { var _a; return setMaxHeight(!isOpen ? 0 : ((_a = accordionBodyRef === null || accordionBodyRef === void 0 ? void 0 : accordionBodyRef.current) === null || _a === void 0 ? void 0 : _a.scrollHeight) || 0); }, [isOpen]);
    var handleIconClick = function (index) {
        setIsOpen && setIsOpen(index, !isOpen);
    };
    return (React.createElement("div", { className: 'gj-accordion-item' }, Children.map(children, function (child) {
        if (!isValidElement(child))
            return null;
        else if (child.type === AccordionHeader)
            return cloneElement(child, { handleIconClick: handleIconClick, isOpen: isOpen, itemIndex: itemIndex });
        else if (child.type === AccordionBody)
            return cloneElement(child, { maxHeight: maxHeight, ref: accordionBodyRef });
        else
            return null;
    })));
};
export default AccordionItem;
//# sourceMappingURL=AccordionItem.js.map